Mailinglist Archive: opensuse-buildservice (354 mails)

< Previous Next >
Re: [opensuse-buildservice] New rules for buildservice conf (Java)
  • From: Daniel Bornkessel <dbornkessel@xxxxxxx>
  • Date: Tue, 20 Feb 2007 11:51:49 +0100
  • Message-id: <200702201151.49717.dbornkessel@xxxxxxx>
On Friday 16 February 2007 14:31, Michael Schroeder wrote:
> On Thu, Feb 15, 2007 at 07:33:24PM +0100, Daniel Bornkessel wrote:
> > Could the following rules be added to the conf:
> >
> > Prefer: xml-commons-apis
> > Prefer: java-1_5_0-sun-devel antlr
> >
> > and (if not already done so).
> > Users should be ok using:
> >
> > BuildRequires: java-devel
> >
> > for all packages that need java then.
> >
> > I will try to make a list regarding problems about Java stuff. If anybody
> > remembers any Java-connected ambuigity please post it here as well.
>
> What project/repository are you talking about? There is no "global"
> config.
>
> Cheers,
> Michael.

Hi ... sorry for the delay :$
I would like the rule
Prefer: java-1_5_0-sun-devel
in:
Java:Sun-Java-1.5/{openSUSE_10.2,openSUSE-Factory,SUSE_Linux-10.0,SUSE_Linux_10.1}

and
Prefer: jana-1_4_2-gcj-compat-devel antlr xml-commons-apis
in
SUSE:{SL-10.1,SLE-10:SDK}, openSUSE:{10.2/standard,Factory/standard}

... the goal is to get rid of the java2-devel-packages substitution and use
BuildRequires: java-devel
instead. This would be consistent with Fedora and Mandrake as well (they
probably need Prefer:-rules as well -- depending whether they have more than
one jdk.

Thanks & Regards,
Daniel

--
-------------------------------------
SUSE LINUX Products GmbH - Nürnberg - AG Nürnberg - HRB 16746 - GF: Markus Rex
-------------------------------------
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >